<?php

namespace Blazemedia\Affiliation\AdminUserInterface\Settings;

use Blazemedia\Affiliation\Support\Environment;

/**
 * Post type per i quali è abilitato il plugin
 */
class PostTypes {

    /**
     * ritorna l'array dei post types che sono abilitati
     *
     * @return array
     */
    public static function getPostTypes() : array {


        return  [ 'affiliate_zone' , ...Environment::get('BLAZE_AFFILIATION_POST_TYPES')];
    }


    /**
     * Verifica che il post type corrente sia valido 
     *
     * @return array
     */
    public static function isPostTypeEnabled( string $post_type = '' ) 
    {
        // prende il post-type dell'admin page
        if( empty( $post_type ) ) $post_type = isset($_GET['post_type']) ? $_GET['post_type'] : '';

        // prende il post-type nel rendering
        if( empty( $post_type ) ) $post_type = get_post_type();

        return in_array( $post_type, self::getPostTypes() );
    }
}